org.apache.ignite.spi.indexing

## Interface IndexingQueryFilter

    public interface IndexingQueryFilter

Cache entry filter.

### Method Summary

Methods
`<K,V> IgniteBiPredicate<K,V>` `forSpace(String spaceName)` Creates optional predicate for space.
`boolean` `isValueRequired()` Is the value required for filtering logic?

### Method Detail

#### forSpace

    @Nullable
    <K,V> IgniteBiPredicate<K,V> forSpace(@Nullable
                                                 String spaceName)

Creates optional predicate for space.

Parameters:
  `spaceName` - Space name.
Returns:
  Predicate or `null` if no filtering is needed.

#### isValueRequired

    boolean isValueRequired()

Is the value required for filtering logic? If false then null instead of value will be passed to IgniteBiPredicate returned by `forSpace(String)` method.

Returns:
  true if value is required for filtering, false otherwise.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016